<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:41:16 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Uses of Interface org.apache.http.conn.DnsResolver (HttpClient 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Interface org.apache.http.conn.DnsResolver (HttpClient 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/conn//class-useDnsResolver.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DnsResolver.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>org.apache.http.conn.DnsResolver</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.apache.http.impl.conn"><B>org.apache.http.impl.conn</B></A></TD>
<TD>Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/impl/conn/package-summary.html"><CODE>org.apache.http.impl.conn</CODE></A> and related classes.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.apache.http.impl.conn"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A> in <A HREF="../../../../../org/apache/http/impl/conn/package-summary.html">org.apache.http.impl.conn</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../org/apache/http/impl/conn/package-summary.html">org.apache.http.impl.conn</A> that implement <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/InMemoryDnsResolver.html" title="class in org.apache.http.impl.conn">InMemoryDnsResolver</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;In-memory DNS resolver implementation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/SystemDefaultDnsResolver.html" title="class in org.apache.http.impl.conn">SystemDefaultDnsResolver</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;DNS resolver that uses the default OS implementation for resolving host names.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Fields in <A HREF="../../../../../org/apache/http/impl/conn/package-summary.html">org.apache.http.impl.conn</A> declared as <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A></CODE></FONT></TD>
<TD><CODE><B>DefaultClientConnectionOperator.</B><B><A HREF="../../../../../org/apache/http/impl/conn/DefaultClientConnectionOperator.html#dnsResolver">dnsResolver</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;the custom-configured DNS lookup mechanism.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../org/apache/http/impl/conn/package-summary.html">org.apache.http.impl.conn</A> with parameters of type <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/BasicHttpClientConnectionManager.html#BasicHttpClientConnectionManager(org.apache.http.config.Lookup, org.apache.http.conn.HttpConnectionFactory, org.apache.http.conn.SchemePortResolver, org.apache.http.conn.DnsResolver)">BasicHttpClientConnectionManager</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Lookup.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.Lookup</A>&lt;<A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket">ConnectionSocketFactory</A>&gt;&nbsp;socketFactoryRegistry,
                                 <A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory,
                                 <A HREF="../../../../../org/apache/http/conn/SchemePortResolver.html" title="interface in org.apache.http.conn">SchemePortResolver</A>&nbsp;schemePortResolver,
                                 <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/DefaultClientConnectionOperator.html#DefaultClientConnectionOperator(org.apache.http.conn.scheme.SchemeRegistry, org.apache.http.conn.DnsResolver)">DefaultClientConnectionOperator</A></B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schemes,
                                <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Creates a new client connection operator for the given scheme registry
 and the given custom DNS lookup mechanism.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry, org.apache.http.conn.DnsResolver)">PoolingClientConnectionManager</A></B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schreg,
                               <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html#PoolingClientConnectionManager(org.apache.http.conn.scheme.SchemeRegistry, long, java.util.concurrent.TimeUnit, org.apache.http.conn.DnsResolver)">PoolingClientConnectionManager</A></B>(<A HREF="../../../../../org/apache/http/conn/scheme/SchemeRegistry.html" title="class in org.apache.http.conn.scheme">SchemeRegistry</A>&nbsp;schemeRegistry,
                               long&nbsp;timeToLive,
                               <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit,
                               <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html#PoolingHttpClientConnectionManager(org.apache.http.config.Registry, org.apache.http.conn.DnsResolver)">PoolingHttpClientConnectionManager</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Registry.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.Registry</A>&lt;<A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket">ConnectionSocketFactory</A>&gt;&nbsp;socketFactoryRegistry,
                                   <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html#PoolingHttpClientConnectionManager(org.apache.http.config.Registry, org.apache.http.conn.HttpConnectionFactory, org.apache.http.conn.DnsResolver)">PoolingHttpClientConnectionManager</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Registry.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.Registry</A>&lt;<A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket">ConnectionSocketFactory</A>&gt;&nbsp;socketFactoryRegistry,
                                   <A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory,
                                   <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html#PoolingHttpClientConnectionManager(org.apache.http.config.Registry, org.apache.http.conn.HttpConnectionFactory, org.apache.http.conn.SchemePortResolver, org.apache.http.conn.DnsResolver, long, java.util.concurrent.TimeUnit)">PoolingHttpClientConnectionManager</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/config.Registry.html?is-external=true" title="class or interface in org.apache.http">org.apache.http.config.Registry</A>&lt;<A HREF="../../../../../org/apache/http/conn/socket/ConnectionSocketFactory.html" title="interface in org.apache.http.conn.socket">ConnectionSocketFactory</A>&gt;&nbsp;socketFactoryRegistry,
                                   <A HREF="../../../../../org/apache/http/conn/HttpConnectionFactory.html" title="interface in org.apache.http.conn">HttpConnectionFactory</A>&lt;<A HREF="../../../../../org/apache/http/conn/SocketClientConnection.html" title="interface in org.apache.http.conn">SocketClientConnection</A>&gt;&nbsp;connFactory,
                                   <A HREF="../../../../../org/apache/http/conn/SchemePortResolver.html" title="interface in org.apache.http.conn">SchemePortResolver</A>&nbsp;schemePortResolver,
                                   <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn">DnsResolver</A>&nbsp;dnsResolver,
                                   long&nbsp;timeToLive,
                                   <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/util/concurrent/TimeUnit.html?is-external=true" title="class or interface in java.util.concurrent">TimeUnit</A>&nbsp;tunit)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../org/apache/http/conn/DnsResolver.html" title="interface in org.apache.http.conn"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/conn//class-useDnsResolver.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DnsResolver.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
